TRE(1)

NAME
tre - tre

DESCRIPTION
tre-command 0.4.0 Daniel Duan <daniel@duan.ca> Tree command, improved.

  USAGE:

    tre [OPTIONS] [PATH]

  ARGS:

<PATH>
    [default: .]

  OPTIONS:

-a, --all
    Print all files and directories, including hidden ones

-c, --color <WHEN>
    When to color the output. `automatic` means when printing to a terminal, tre will include colors; otherwise it will disable colors [default: automatic] [possible values: automatic, always, never]

-d, --directories
    Only list directories in output

-e, --editor [<COMMAND>]
    Create aliases for each displayed result, and add a number in front of file name to indicate the alias name. For example, a number "42" means an shell alias "e42" has been created. Running "e42" will cause the associated file or directory to be open with $EDITOR (or a default program for the file type on Windows), or a command specified along with this command

-E, --exclude <PATTERN>
    Exclude paths matching a regex pattern. Repeatable

-h, --help
    Print help information

-j, --json
    Output JSON instead of tree diagram

-l, --limit <LIMIT>
    Limit depth of the tree in output

-p, --portable
    Generate portable (absolute) paths for editor aliases. By default, aliases use relative paths for better performance

-s, --simple
    Use normal print despite gitignore settings. '-a' has higher priority

-V, --version
    Print version information